Bug 571932 - gvfs-open always returns before application
gvfs-open always returns before application
Status: NEW
Product: Fedora
Classification: Fedora
Component: glib2 (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
: FutureFeature
: 472402 (view as bug list)
Depends On:
Blocks: 653249
  Show dependency treegraph
 
Reported: 2010-03-09 15:47 EST by Piergiorgio Sartor
Modified: 2017-11-07 17:10 EST (History)
16 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 652262 None None None Never

  None (edit)
Description Piergiorgio Sartor 2010-03-09 15:47:54 EST
Description of problem:
Well, I'm not sure this belongs here, so feel free to assign it to the proper component, if you think it is better.

I'm using "mutt", in a "gnome-terminal", to read emails.
When a message has an attachment, it is possible to view it (the attachment) directly from "mutt".
For example, if there is a pdf attached, "evince" (or whatever is the selected application) is called with, as parameter, something like /tmp/filename.pdf, where "filename.pdf" is the attachment real name.

Now, this is done via a chain of events. "mutt" checks "mailcap", which defines "xdg-open %s" for pdf, which calls "evince".

Problem is that "xdg-open" returns immediately, after launching "evince" (in the pdf case, of course) and, I suppose, "mutt" deletes the file, so "evince" does not find it (probably sort of race condition, where "evince" loses always).

Version-Release number of selected component (if applicable):
xdg-utils-1.0.2-16.20091217cvs.fc12.noarch

How reproducible:
Always, it seems, but could be just 99.9%...

Steps to Reproduce:
1.
Get an email with attachment, pdf will do fine
2.
Open with "mutt"
3.
View attachment
  
Actual results:
The application called returns an error, usually "File not found"

Expected results:
The application should find the file.

Additional info:
Substituting "xdg-open", in "/etc/mailcap", with "evince" does work fine, since "evince" does not return until it is closed.

Of course, this *might* be a "mutt" problem, which likely should not delete the file in /tmp, maybe, not sure. Or "xdg-open" should make a second copy, or it should not unconditionally return (maybe difficult). Or it should wait until the file is opened by the application and then return (this would be filesystem dependent, I guess).

Anyhow, the current situation it is a bit frustrating, maybe some sort of fix/suggestion would be welcome.

Thanks a lot in advance,

bye,

pg
Comment 1 Rex Dieter 2010-04-09 15:46:20 EDT
This is entirely outside of the control of xdg-open.

Depending on your environment, xdg-open uses
gvfs-open (on gnome)
kde-open (on kde)
etc...
to open files.

and is dependent on the behavior of those utilities.

For example, if you're on gnome and seeing this, and you're not happy with how gvfs-open behaves, I guess you'll have to take it up with the gvfs maintainers.
Comment 2 Rex Dieter 2010-04-09 16:22:27 EDT
Tested and confirmed that gvfs-open indeed returns relatively quickly (and before the application finishes launch and opens anything).

reassigning and adjusting summary.
Comment 3 Bug Zapper 2010-11-03 16:17:09 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Piergiorgio Sartor 2010-11-03 17:40:04 EDT
Hi,

I changed this issue to F-13, since it happens also there.

I hope this is the "info" needed. If not, please let me know.

Thanks,

bye,

pg
Comment 5 Sarantis Paskalis 2010-11-08 07:10:44 EST
I see it in F14 as well.
Comment 6 Bug Zapper 2011-06-02 12:15:46 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Piergiorgio Sartor 2011-06-03 03:35:11 EDT
This is still an issue with F14. Updated accordingly.

bye,

pg
Comment 8 Tomáš Bžatek 2011-06-10 05:30:07 EDT
*** Bug 472402 has been marked as a duplicate of this bug. ***
Comment 9 Tomáš Bžatek 2011-06-10 05:31:02 EDT
Upstream bugreport: https://bugzilla.gnome.org/show_bug.cgi?id=652262
Comment 10 Rex Dieter 2012-01-05 14:37:12 EST
confirmed still an issue on f16 with gvfs-1.10.1-2.fc16

small test case:


echo 'text!' > foo.txt
gvfs-open foo.txt
rm -v foo.txt

opens an empty text document
Comment 11 Fedora End Of Life 2013-01-16 17:14:41 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Piergiorgio Sartor 2013-01-17 12:18:12 EST
Hi all,

so, what's the situation here?

Any light at the end of the tunnel?

Thanks,

bye,

pg
Comment 13 Fedora Admin XMLRPC Client 2013-05-23 10:24:32 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 14 Fedora Admin XMLRPC Client 2013-05-23 10:27:33 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 15 Fedora End Of Life 2013-07-04 01:32:10 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 16 Piergiorgio Sartor 2013-07-04 13:44:25 EDT
Updated version to keep it warm.
Comment 17 Fedora End Of Life 2013-12-21 03:25:43 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 18 Piergiorgio Sartor 2013-12-21 08:07:09 EST
Changed to F-20 to keep it up to date.

bye,

pg
Comment 19 Reuben Thomas 2014-03-14 12:22:58 EDT
See https://bugzilla.gnome.org/show_bug.cgi?id=652262 for a workaround and a suggested fix.
Comment 20 Rex Dieter 2014-03-14 13:03:35 EDT
marking rawhide/FutureFeature to avoid bug getting autoclosed too
Comment 21 Piergiorgio Sartor 2017-11-03 16:17:22 EDT
Uhm, how is it going with this?

Thanks,

bye,

pg
Comment 22 Reuben Thomas 2017-11-03 16:24:57 EDT
See the GNOME bug linked in Comment #19. The current state is that gvfs-open has gone away, but since I've not yet got a version of GNOME that uses its successor, I've not had a look at rewriting my patch yet. I will do so (in the absence of any other fix) when I next upgrade, in August 2018 or so.
Comment 23 Ondrej Holy 2017-11-06 03:00:51 EST
gvfs-open has been replaced by "gio open" which resides in glib2, which has the same issue I suppose...

Note You need to log in before you can comment on or make changes to this bug.